/*
 *  Test program: exact computation
 */

#include <stdio.h>

int isqrt(int n)
{
    int i = 0;
    while ((i+1) * (i+1) <= n)
        ++i;
    return i;
}

int main()
{
    int dx, dy, dist;
    for (dy = 0; dy <= 200; ++dy) {
        for (dx = 0; dx <= 200; ++dx) {
            dist = isqrt(dx*dx + dy*dy);
            printf("%3d %3d -> %4d\n", dx, dy, dist);
        }
        puts("");
    }
    return 0;
}
